---
title: "Uses"
description: ""
layout: "../layouts/Layout.astro"
---

> *Last update: March 12, 2024*

## What do I use?
> This page was inspired by [**Uses This**](https://usesthis.com/), and you can see more pages like this there.

The following is a list of the  different technologies that I use on a daily basis. This includes my computers, the software I run on them, how I host stuff and other miscellaneous stuff. 

I've also added the names of my machines as I think these are fun to show. The naming convention I went for was different arcs/sagas from One Piece.

[![Image of my terminal](/img/term.webp)](/img/term.webp)

> For more details about my [**dotfiles click here**](https://github.com/SindreKjelsrud/dotfiles).

## 🐧 Hardware (+ OS)

#### personal laptop (water7)

My primary laptop that I use for all schoolwork and personal stuff is my **14" Acer Swift 3**. Its got an i5 processor, a 1TB SSD and 8GB of RAM. I bought this back in 2020 when I managed to spill some juice over my MacBook Air which sadly "died".

[![water7.webp](/img/water7.webp)](/img/water7.webp)

I was dualbooting Windows and Arch before, but no longer do since Windows just fucked up everything, multiple times, and I no longer need it for university exams. Might dualboot with another Linux distro in the future, we'll see. Quite shit laptop, but looks very nice with the Minecraft GRUB! 

#### gaming pc (skypiea)

For gaming and just mindless browsing at home I use a prebuilt **HP Omen 30L**. I bought this back in 2021, because my first gaming pc was kinda slowing down and I wanted the new 3080 graphics card hehe.  On the OS side it's running Windows 11 because some of the games I play unfortunately won't work on Linux, but I might do the switch anyways some time in the future.

[![lougetown.webp](/img/lougetown.webp)](/img/lougetown.webp)

Here is a list over some of the peripherals I use for it:

- **HyperX Alloy Origins 60.** Keyboard of choice, love the 60%.
- **Razor Ourobous.** My trustworthy mouse of 10 years!
- **Logitech C920.** Webcam for Discord and school meetings.
- **AOC 27" Curved gaming monitor**. I like this monitor, it's pretty good.

#### home server (eastblue)

Actually my latest addition! I bought this **HP Prodesk 600 G3 SFF** from [**bergenbruktpc.no**](https://bergenbruktpc.no/) on sale for around 1300NOK with an additional 16GBs of RAM. I installed ProxMox on it after quite a lot of BIOS hassle.  In short, the specs are an Intel Core i7-6700, 256GB NVME SSD, 500GB HDD & 32GB RAM.

[![eastblue.webp](/img/eastblue.webp)](/img/eastblue.webp)

> By the way, all the VMs on this have been named after the arcs from the East Blue saga!

I'm in the process of starting to selfhost stuff I use and different kinda services. Currently I run the following stuff on it:

- **Minecraft server:** Always gotta have one up & running. 
- **PiVPN:** The simplest way to setup and manage a VPN.
- **sidBot:** My own Discord bot **([source code](https://github.com/SindreKjelsrud/sidBot))**.

#### other technology

- **AirPods 2nd gen:** Earbuds for training, works good.
- **iPhone 13:** Works pretty good.
- Some gaming consoles:
    - **GameBoy Color:** My first mod-project, check out the [**post**](/blog/breathing-new-life-into-my-old-gameboy-color/) I wrote on it.
    - **Nintendo DS Lite:** Gotta have some Mario Kart on the go!
    - **Nintendo Switch:** Animal Crossing has never been cozier.
    - **Nintendo Wii:** Easily the best console for playing at home with friends.
- **Raspberry Pi 4B 4GB:** Gonna be used for my homebuilt arcade machine.
- **Sony WH-1000XM4:** Absolutely love this headset, I use it everyday.

## 🧑‍💻 Software

- [**Alacritty**](https://github.com/alacritty/alacritty). A cross-platform, OpenGL terminal emulator. 
- [**Discord**](https://discord.com/). For communication while gaming/coding.
- [**Firefox**](https://www.mozilla.org/en-US/firefox/new/). Browser of choice.
    - [**Bitwarden**](https://bitwarden.com/). Open source password manager, want to start selfhosting it.
    - [**Invidious**](https://invidious.io/). Open source front-end for YouTube.
    - [**uBlock Origin**](https://ublockorigin.com/) Free, open-source ad content blocker.
- [**GitHub**](https://github.com/). For storing my Git-repos.
- [**Gmail**](https://gmail.com). Current email provider, but want to switch.
- [**LocalSend**](https://localsend.org/#/). For sharing files to nearby devices.
- [**NetNewsWire**](https://netnewswire.com/). RSS Reader.
- [**Signal**](https://signal.org/). Chat service, trying to get more people to use it!
- [**Spotify**](https://spotify.com/). Current music-service of choice.
- [**Squoosh**](https://squoosh.app/). Image compression web-app.
- [**VSCode**](https://github.com/microsoft/vscode). IDE of choice most of the time.
    - [**neovim**](https://neovim.io/). In progress of learning. How do I exit it?
